org.apache.lucene.analysis.payloads

## Class TypeAsPayloadTokenFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.payloads.TypeAsPayloadTokenFilterFactory

    public class TypeAsPayloadTokenFilterFactory
    extends TokenFilterFactory

Factory for `TypeAsPayloadTokenFilter`.

     <fieldType name="text_typeaspayload" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.TypeAsPayloadTokenFilterFactory"/>
       </analyzer>
     </fieldType>

Since:
  3.1

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`TypeAsPayloadTokenFilterFactory(Map<String,String> args)` Creates a new TypeAsPayloadTokenFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TypeAsPayloadTokenFilter` `create(TokenStream input)` Transform the specified input TokenStream

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeAsPayloadTokenFilterFactory

    public TypeAsPayloadTokenFilterFactory(Map<String,String> args)

Creates a new TypeAsPayloadTokenFilterFactory

### Method Detail

#### create

    public TypeAsPayloadTokenFilter create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`